solscan logo
Register NowRegister Now

token transfer count

get

https://pro-api-dev.solscan.io/v2.0/token/transfer/total

Get transfer data of a token

QUERY PARAMS

address

string

required

A token address on solana blockchain

from

string

Filter transfer data with direction is from one/multi address. You can filter by multiple addresses by separating them with commas. Example: ?from=address1,address2. Maximum 5 addresses

exclude_from

string

Filter transfer data with direction is not from one/multi address. You can filter by multiple addresses by separating them with commas. Example: ?exclude_from=address1,address2. Maximum 5 addresses

to

string

Filter transfer data with direction is to one/multi address. You can filter by multiple addresses by separating them with commas. Example: ?to=address1,address2. Maximum 5 addresses

exclude_to

string

Filter transfer data with direction is not to one/multi address. You can filter by multiple addresses by separating them with commas. Example: ?exclude_to=address1,address2. Maximum 5 addresses

amount

array

Filter transfer data by by amount. But you need to pass token address first because amount filter will be belong to one token address. Ex: Filter amount from 1 to 2 SOL ?amount[]=1&amont[]=2&token=So11111111111111111111111111111111111111112

Maximum allowed values: 2

block_time

array

Used when you want to filter data by block time. Format time: UnixTime in seconds. You need to pass array into http query to filter by start and stop block_time. Example: ?block_time[]=1720153259&block_time[]=1720153276

Maximum allowed values: 2

exclude_amount_zero

boolean

Excludes transfer that has amount is zero

value

array

Filter by value range (dollar). Example: ?value[]=1&value[]=10

Maximum allowed values: 2

RESPONSES

200

OK

Response Body

success

boolean

Status of Api

data

number

Total transfer count of a token

400

Bad Request

Response Body

401

Authentication failed

Response Body

429

Too Many Requests

Response Body

500

Internal Server Error

Response Body

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples